/**
 **	File ......... DotMenu.cpp
 **	Published ....  2005-02-07
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include <stdincl.h>

#include "client.h"
#include "MainWindow.h"
#include "DotMenu.h"


using gui::Surface;
using gui::SurfaceHelper;
using gui::Menu;
using gui::surface_event_t;


DotMenu::DotMenu(Surface *s,SurfaceHelper *pclHelper)
:Menu(s,pclHelper)
#ifdef WIN32
,m_font("font.ttf", 10)
#else
,m_font("../gui/fonts/font.ttf", 10)
#endif
,m_title(this,"",&m_font)
,m_item1(this,"Up 5",&m_font)
,m_item2(this,"Up 1",&m_font)
,m_item3(this,"Down 1",&m_font)
,m_item4(this,"Down 5",&m_font)
{
	SetTTFont(&m_font);

	m_title.SetClickable(false);
	AddMenuItem(&m_title);
	AddMenuItem(&m_item1);
	AddMenuItem(&m_item2);
	AddMenuItem(&m_item3);
	AddMenuItem(&m_item4);
	CreateMenu();
	CreateTemporaryScreen();

	m_title.SetBgColor(0,0,0);
	m_title.SetFgColor(255,255,255);

	SetMoveable(false);
}


DotMenu::~DotMenu()
{
}


void DotMenu::OnEvent(surface_event_t *pstEvent)
{
	if (pstEvent -> type == GUI_EVENT_BUTTON)
	{
		if (pstEvent -> local_id == m_item1.GetLocalID())
		{
		}
	}
}


gui::Menu *DotMenu::GetSubMenu(int id)
{
	return NULL;
}


