/**
 **	File ......... LoginDialog.h
 **	Published ....  2005-02-07
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef _LOGINDIALOG_H
#define _LOGINDIALOG_H

#include "FormSurface.h"


using gui::Button;
using gui::Surface;
using gui::surface_event_t;
using gui::Static;
using gui::Edit;
using gui::Dialog;


class LoginDialog : public FormSurface
{
public:
	LoginDialog(Surface *);
	~LoginDialog();
	void OnEvent(surface_event_t *);
	void Draw();
	void UpdateData(bool dlg2vars = true);

private:
	Static m_st1;
	Edit m_login;
	Static m_st2;
	Edit m_passwd;
	Button m_ok;
	Button m_cancel;
};


#endif // _LOGINDIALOG_H
