/**
 **	File ......... Player.cpp
 **	Published ....  2005-02-07
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include <stdincl.h>

#include "Player.h"



Player::Player()
:m_num(0)
,m_name("")
,m_riktning(0)
,m_xpos(0)
,m_ypos(0)
{
}


Player::Player(long num)
:m_num(num)
,m_name("")
,m_riktning(0)
,m_xpos(0)
,m_ypos(0)
{
}


Player::Player(long num,const string &name)
:m_num(num)
,m_name(name)
,m_riktning(0)
,m_xpos(0)
,m_ypos(0)
{
}


Player::~Player()
{
}


long Player::GetNum()
{
	return m_num;
}


const char *Player::GetName()
{
	return m_name.c_str();
}


void Player::SetRiktning(int r)
{
	m_riktning = r;
}


void Player::SetXY(long x,long y)
{
	m_xpos = x;
	m_ypos = y;
}


long Player::GetX()
{
	return m_xpos;
}


long Player::GetY()
{
	return m_ypos;
}


void Player::SetName(const string &str)
{
	m_name = str;
}


