/**
 **	File ......... Player.h
 **	Published ....  2005-02-07
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef _PLAYER_H
#define _PLAYER_H




class Player
{
public:
	Player();
	Player(long);
	Player(long,const string &);
	~Player();

	long GetNum();
	const char *GetName();
	void SetName(const string &);
	long GetX();
	long GetY();
	void SetRiktning(int);
	void SetXY(long,long);

private:
	long m_num;
	string m_name;
	unsigned char m_riktning;
	long m_xpos;
	long m_ypos;
};




#endif // _PLAYER_H
