/**
 **	File ......... TestMenu.h
 **	Published ....  2005-02-07
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef _TESTMENU_H
#define _TESTMENU_H


class TestMenu : public gui::Menu
{
public:
	TestMenu(gui::Surface *,gui::SurfaceHelper * = NULL);
	~TestMenu();
	void OnEvent(gui::surface_event_t *);
  gui::Menu *GetSubMenu(int);

private:
	gui::TTFont m_font;
	gui::MenuItem m_item1;
	gui::MenuItem m_item2;
	gui::MenuItem m_item3;
	gui::MenuItem m_item4;
	gui::MenuItem m_title;
	gui::PopupMenuItem m_item6;
	gui::SeparatorMenuItem m_sep2;
	gui::MenuItem m_save;
	gui::SeparatorMenuItem m_sep;
};


#endif // _TESTMENU_H
