/**
 **	File ......... TextDialog.cpp
 **	Published ....  2005-02-07
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include <stdincl.h>

#include "client.h"
#include "Globals.h"
#include "TextDialog.h"


#define W 400
#define H 100
#define X XMAX / 2 - W / 2
#define Y YMAX / 2 - H / 2

TextDialog::TextDialog(Surface *s)
:Dialog(s, X, Y, W, H)
,m_output(this,5,5, W - SBSIZE - 10, H - 10)
,m_vbar(this) //, W-SBSIZE, 0, SBSIZE, H)
{
	SetText("TextDialog");
	CreateTemporaryScreen();
	
	SetBgColor(255,255,255);
	SetFgColor(0,0,0);

	SetMoveable(true);

	m_output.SetFrameWidth(0);
//	m_output.AddLine("Testing test test...");
	AddChild(&m_output);
	AddChild(&m_vbar);

	SDL_Rect *area = GetClientRectPtr();
	Uint32 color = GetBgColor();

	SDL_FillRect(m_screen, area, color);
//	DrawAll();
}


TextDialog::~TextDialog()
{
}


void TextDialog::Draw()
{
}


void TextDialog::AddLine(const string &str)
{
	m_output.AddLine(str);
	// Output::AddLine invalidates...
//	RedrawEv();
//	InvalidateEv();
}


