/**
 **	File ......... TextDialog.h
 **	Published ....  2005-02-07
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef _TEXTDIALOG_H
#define _TEXTDIALOG_H


using gui::Button;
using gui::Surface;
using gui::surface_event_t;
using gui::Static;
using gui::Edit;
using gui::Dialog;
using gui::Output;


class TextDialog : public gui::Dialog
{
public:
	TextDialog(Surface *);
	~TextDialog();
	void Draw();
	void AddLine(const string &);

private:
	Output m_output;
	gui::ScrollBarV m_vbar;
};


#endif // _TEXTDIALOG_H
