/**
 **	File ......... WinSockInit.h
 **	Published ....  2005-02-07
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef _WinSockInit_H
#define _WinSockInit_H

#ifdef WIN32
class WinSockInit
{
public:
        WinSockInit() : m_ok(false)
	{
                // init WinSockInit
		if( (iRc = ::WSAStartup( MAKEWORD( 1, 1 ), &m_WsaData )) != 0 )
		{
		}
		
                // Kontrollerar att WinSockInit DLL'en stder Version 1.1 
		// PS! ven om DLL'en stder en hgre version returneras V1.1, fr det var det vi begrde
		if ( LOBYTE( m_WsaData.wVersion ) != 1 || 
				 HIBYTE( m_WsaData.wVersion ) != 1 ) 
		{ 
			::WSACleanup(); 
		}
		else
		{
			m_ok = true;
		}
	}
        ~WinSockInit() 
	{
		::WSACleanup(); 
	}
	bool IsOK()
	{
		return m_ok; 
	}
private:
	WSADATA	m_WsaData;
	int iRc;
	bool m_ok;
};
#endif // WIN32


#endif // _WinSockInit_H
