/**
 **	File ......... client.cpp
 **	Published ....  2005-02-07
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include <stdincl.h>
//#include <libcgi++.h>

#include "client.h"
#include "AnimateThread.h"
#include "InitSDL.h"
#include "WinSockInit.h"
#include "Main.h"
#include "Globals.h"


static	Globals gggg;
	iotm::Ticker ticks;
	Main *appl = NULL;


int main(int argc,char *argv[])
{
	Main a(argc,argv);

	appl = &a;
	if (a.IsOK())
	{
//		AnimateThread at;
//		at.SetRelease( true );
		a.MainLoop();
	}
	else
	{
		fprintf(stderr,"Error in init, exiting...\n");
	}
	return 0;
}


// input_thread: console input ==> sys_command()
//	sys_command() waits indefinitely for input from user
//	sys_command() writes to output buffer
// <always running>

// connect_thread: input/output socket connection to server
//	connect_thread reads from output buffer
//	connect_thread writes to input buffer
// <created by input_thread on command>

// event_thread: process events from server
//	event_thread reads from input buffer
//	initiates all graphic movement (animations, text etc)
// <created by connect_thread on successful connect>

// animate_thread: cycles animations, redraws graphic window
//	initializes graphic window
// <always running>


