/**
 **	File ......... Map.h
 **	Published ....  2005-02-07
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef _MAP_H
#define _MAP_H




class Map
{
public:
	Map();
	~Map();

	void Populate(Event::Map *);
	unsigned char Get_h(long x,long y);
	unsigned char Get_t_left(long x,long y);
	unsigned char Get_t_up(long x,long y);

private:
	// Raw map data, uncompressed - not transferred...
	unsigned char m_h[MAPSIZE * MAPSIZE];
	unsigned char m_terrain_left[MAPSIZE * MAPSIZE];
	unsigned char m_terrain_up[MAPSIZE * MAPSIZE];

};




#endif // _MAP_H
