/**
 **	File ......... MenuDialog.h
 **	Published ....  2005-02-07
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef _MENUDIALOG_H
#define _MENUDIALOG_H


using gui::Button;
using gui::Surface;
using gui::surface_event_t;
using gui::Dialog;

class OptionsDialog;

class MenuDialog : public gui::Dialog
{
public:
	MenuDialog(Surface *);
	~MenuDialog();
	void OnEvent(surface_event_t *);
	void Connected(const string &);

private:
	Button m_b1; // Connect
	Button m_b2; // Options
	Button m_b3; // Exit
	Button m_b4; // ..test
};


#endif // _MENUDIALOG_H
