/**
 **	File ......... PlayerDialog.h
 **	Published ....  2005-02-07
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef _PLAYERDIALOG_H
#define _PLAYERDIALOG_H

#include "FormSurface.h"


using gui::Button;
using gui::Surface;
using gui::surface_event_t;
using gui::Static;
using gui::Edit;
using gui::surfacevector_t;

//typedef std::vector<Button *> buttons_t;

class PlayerDialog : public FormSurface
{
public:
	PlayerDialog(Surface *);
	~PlayerDialog();
	void OnEvent(surface_event_t *);
	void Draw();
	void AddButton(const string &);
	void Clear();

private:
//	buttons_t m_buttons;
	int y;
};


#endif // _PLAYERDIALOG_H
