/**
 **	File ......... pprintf.cpp
 **	Published ....  2005-02-07
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2004  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include <stdincl.h>
#include <stdarg.h>

#include "DotCursor.h"
#include "MainWindow.h"
#include "client.h"

int pprintf(char *format, ...)
{
	va_list vl;
	int n;
	char slask[500];
	iotm::Mutex mutex;

	va_start(vl, format);
#ifdef WIN32
	n = vsprintf(slask, format, vl);
#else
	n = vsnprintf(slask, 500, format, vl);
#endif
	va_end(vl);

DEB(
  printf("### %s", slask);
	fflush(stdout);)

	while (slask[strlen(slask) - 1] == 13 || slask[strlen(slask) - 1] == 10)
		slask[strlen(slask) - 1] = 0;
	appl -> GetWindow() -> AddLine( slask );

	return n;
}

